LP#1801984 Upgrading Angular 6 to Angular 7
[Evergreen.git] / Open-ILS / src / eg2 / package.json
index 9174d1b..7d179ee 100644 (file)
   },
   "private": true,
   "dependencies": {
-    "@angular/animations": "^6.1.0",
-    "@angular/common": "^6.1.0",
-    "@angular/compiler": "^6.1.0",
-    "@angular/core": "^6.1.0",
-    "@angular/forms": "^6.1.0",
-    "@angular/http": "^6.1.0",
-    "@angular/platform-browser": "^6.1.0",
-    "@angular/platform-browser-dynamic": "^6.1.0",
-    "@angular/router": "^6.1.0",
-    "@ng-bootstrap/ng-bootstrap": "^3.2.0",
-    "bootstrap-css-only": "^4.1.1",
-    "core-js": "^2.5.4",
-    "ngx-cookie": "^4.0.2",
-    "rxjs": "^6.0.0",
-    "rxjs-compat": "^6.3.2",
-    "zone.js": "~0.8.26"
+    "@angular/animations": "^7.2.2",
+    "@angular/common": "^7.2.2",
+    "@angular/compiler": "^7.2.2",
+    "@angular/core": "^7.2.2",
+    "@angular/forms": "^7.2.2",
+    "@angular/http": "^7.2.2",
+    "@angular/platform-browser": "^7.2.2",
+    "@angular/platform-browser-dynamic": "^7.2.2",
+    "@angular/router": "^7.2.2",
+    "@ng-bootstrap/ng-bootstrap": "^3.3.0",
+    "@nguniversal/express-engine": "^7.1.0",
+    "bootstrap-css-only": "^4.2.1",
+    "core-js": "^2.6.3",
+    "ngx-cookie": "^4.1.2",
+    "rxjs": "^6.4.0",
+    "zone.js": "^0.8.29"
   },
   "devDependencies": {
-    "@angular-devkit/build-angular": "~0.7.0",
-    "@angular/cli": "~6.1.5",
-    "@angular/compiler-cli": "^6.1.0",
-    "@angular/language-service": "^6.1.0",
-    "@types/jasmine": "~2.8.6",
-    "@types/jasminewd2": "~2.0.3",
+    "@angular-devkit/build-angular": "^0.10.7",
+    "@angular/cli": "^7.0.7",
+    "@angular/compiler-cli": "^7.2.2",
+    "@angular/language-service": "^7.2.2",
+    "@types/jasmine": "^2.8.16",
+    "@types/jasminewd2": "^2.0.6",
     "@types/node": "~8.9.4",
     "codelyzer": "~4.2.1",
     "jasmine-core": "~2.99.1",
     "jasmine-spec-reporter": "~4.2.1",
     "karma": "~1.7.1",
     "karma-chrome-launcher": "~2.2.0",
-    "karma-coverage-istanbul-reporter": "~2.0.0",
+    "karma-coverage-istanbul-reporter": "^2.0.4",
     "karma-jasmine": "~1.1.1",
     "karma-jasmine-html-reporter": "^0.2.2",
     "karma-phantomjs-launcher": "^1.0.4",
-    "ngx-i18nsupport": "^0.17.0",
-    "protractor": "~5.4.0",
+    "ngx-i18nsupport": "^0.17.1",
+    "protractor": "^5.4.2",
     "ts-node": "~5.0.1",
     "tslint": "~5.9.1",
-    "typescript": "~2.7.2"
+    "typescript": "~3.1.6"
   },
   "xliffmergeOptions": {
     "srcDir": "src/locale",